wiki:Prerequisites

Version 9 (modified by Alloc, 4 years ago) (diff)

--

In order to be able to use these scripts a few external dependencies have to be met. Most of them should already be installed on any Linux distribution.

Order of the list is from what you probably have to install yourself to what probably is installed anyway:

start-stop-daemon
as the name suggests it is used to start the game as a daemon. You will compile it from source during installation of scripts later on.
XMLStarlet
used to manipulate serverconfig.xml
Wine
run 7dtd Windows build on Linux. Required as long as there is no native Linux build of 7dtd
mono-runtime
required by 7dtd as Unity is based on Mono
Xvfb
required for Wine as it requires a screen
lib32gcc1
(Only 64 bit hosts) 32 bit libGCC, required for SteamCMD


Everything below should be installed already:

wget
downloads SteamCMD
rsync
create incremental backups of game data
pkill
stops the server log monitoring
netstat
showing the open ports
Bash
the whole thing heavily relies on features of Bash
Init system
for automatic start of 7dtd on server boot (Script designed for SysVInit, it should also work with systemd)
cut, tr, tail, stdbuf
stream manipulation
grep, sed, dd, date, mkdir, touch, nc
tools really every Linux distro should ship anyway ;)